Subject: bug#26845: closed (Re: bug#26845: gnutls-verify-error doc-string)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 09 May 2017 19:08:02 +0000

Your bug report

#26845: gnutls-verify-error doc-string

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26845: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26845
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#26845: gnutls-verify-error doc-string
From: Eli Zaretskii <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: [email-masked]
Date: Tue, 09 May 2017 22:06:26 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Glenn Morris <[email-masked]>
> Date: Mon, 08 May 2017 16:34:17 -0400
> 
> I'm going to be that guy and say that the doc-string of
> gnutls-verify-error is so terse that it isn't useful.
> 
> "If non-nil, this should be a list of checks per hostname regex or t."
> 
> This is the whole thing. It's a defcustom, but I don't see how anyone
> can set it based on that information.
> 
> What does it mean if it is nil?
> What does it mean if it is t?
> What format does the "list of checks per hostname" take?

Thanks, fixed.

Subject: gnutls-verify-error doc-string
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Mon, 08 May 2017 16:34:17 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: emacs
Version: 24.4
Severity: minor

I'm going to be that guy and say that the doc-string of
gnutls-verify-error is so terse that it isn't useful.

"If non-nil, this should be a list of checks per hostname regex or t."

This is the whole thing. It's a defcustom, but I don't see how anyone
can set it based on that information.

What does it mean if it is nil?
What does it mean if it is t?
What format does the "list of checks per hostname" take?